//----------------------------------------------------------------------------
//	Copyright (C) 2002 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file TypedObject.h

	\author Ralf Gerstenberger
	<!-- [\author <author>]* -->

	\date created at 2002/03/10

	\brief type information

	<!-- [\sa <pair-file>] -->

	<!-- [detailed description] -->

	<!-- [\todo {todos for this file}]* -->

	\since 1.0
*/

#ifndef ODEMX_TYPEDOBJECT_INCLUDED
#define ODEMX_TYPEDOBJECT_INCLUDED

#include <typeinfo>

namespace odemx {
	/** \class TypedObject

		\ingroup util

		\author Ralf Gerstenberger
		<!-- [\author <author>]* -->

		\brief type information

		<!-- [\note {notes}]* -->

		<!-- [\sa {references to other classes}]* -->

		TypedObject provides c++ style type information 
		about an object. TypedObject requires active RTTI 
		support.

		<!-- [\warning {warnings}]* -->

		<!-- [\todo {todos for this file}]* -->

		<!-- [\bug {bug description}]* -->

		<!-- [\test {testcase description}]* -->

		\since 1.0
	*/
	class TypedObject {
	public:
		/**
			\brief get type information
		*/
		virtual const std::type_info& getType() const {return typeid(*this);}
	};
}

#endif

